libzypp 17.37.10

functional.h File Reference
`#include <functional>`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces
namespace | std

## Functions
template<typename Functor, typename... Args>
std::enable_if< std::is_member_pointer< typenamestd::decay< Functor >::type >::value, typenamestd::result_of< Functor &&(Args &&...)>::type >::type | std::invoke (Functor &&f, Args &&... args)
template<typename Functor, typename... Args>
std::enable_if<!std::is_member_pointer< typenamestd::decay< Functor >::type >::value, typenamestd::result_of< Functor &&(Args &&...)>::type >::type | std::invoke (Functor &&f, Args &&... args)
template<typename Obj, typename Ret, typename Arg>
auto | mem_fn_cb (Obj &o, Ret(Obj::*objMemFunc)(Arg &&))
template<typename Obj, typename Ret, typename Arg>
auto | mem_fn_cb (Obj &o, Ret(Obj::*objMemFunc)(const Arg &))
template<typename Obj, typename Ret, typename Arg>
auto | mem_fn_cb (Obj &o, Ret(Obj::*objMemFunc)(Arg))

## Function Documentation

## ◆ mem_fn_cb() [1/3]

template<typename Obj, typename Ret, typename Arg>

auto mem_fn_cb | ( | Obj & | o,
|  | Ret(Obj::* | objMemFunc )(Arg &&) )

Simple helper template to make a callback that binds the "this" pointer, to be used in a pipeline.

Definition at line 54 of file functional.h.

## ◆ mem_fn_cb() [2/3]

template<typename Obj, typename Ret, typename Arg>

auto mem_fn_cb | ( | Obj & | o,
|  | Ret(Obj::* | objMemFunc )(const Arg &) )

Definition at line 61 of file functional.h.

## ◆ mem_fn_cb() [3/3]

template<typename Obj, typename Ret, typename Arg>

auto mem_fn_cb | ( | Obj & | o,
|  | Ret(Obj::* | objMemFunc )(Arg) )

Definition at line 68 of file functional.h.